package org.ntlab.acanthus_client.entities;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Collection;

//-----------------------------------------------------------------
// アニメーション
public class AnimationJson implements Serializable {
    private Integer aid;
    private String animationName;
    private Integer owner;
    //private ArrayList<Editor> editors;
    private Collection<String> editorNames;
    private Collection<Integer> editorIds;
    private String createdDate;
    private String lastUpdate;

    //-----------------------------------------------------------------
    public AnimationJson() {
    }

    public String getAnimationName(){return this.animationName;}

    public int getAid() {return this.aid;}

    //public ArrayList<Editor> getEditor(){return this.editors;}


    public Collection<String> getEditorNames() {
        return editorNames;
    }

    public Collection<Integer> getEditorIds() {
        return editorIds;
    }

    public  String getCreatedDate(){return this.createdDate;}

    public String getLastUpdate() {
        return lastUpdate;
    }

    public void setAid(Integer aid) {
        this.aid = aid;
    }

    public void setName(String name) {
        this.animationName = name;
    }

    public void setOwner(Integer uid) {
        this.owner = uid;
    }

    public void setLastUpdate(String lastUpdate) {
        this.lastUpdate = lastUpdate;
    }

    //    public void addEditors(Editor editor) {
//        this.editors.add(editor);
//    }
}
